####################################################################
## Change Log                                                     ##
####################################################################

######################################
# P values updated since 1.0.65.1   ##
######################################
##############################################################################
##  P values not on WEB                                                     ##
##############################################################################
# Display User and Viewer Password Settings. 0 – No, 1 – Yes. Default is 1.
# Number: 0,1
# Mandatory
# P22663=1 

# Display TR069 Settings.0 – No, 1 – Yes. Default is 1.
# Number: 0,1
# Mandatory
# P22664=1

# Force Default Password Change on Login. 0 – No, 1 – Yes. Default is 1.
# Number: 0,1
# Mandatory
# PP22665=1

######################################
# P values updated since 1.0.63.3  ##
######################################

##########################################
##  Advanced Settings/ System Settings  ##
##########################################
# Changed the default value of "Disable Weak TLS Cipher Suites"(P8536) to "8 - Disable All Of The Above Weak TLS Ciphers Suites." 
# Disable Weak TLS Cipher Suites. Default is 8.
# 0 - Enable Weak TLS Ciphers Suites
# 1 - Disable Symmetric Encryption RC4/DES/3DES 
# 2 - Disable Symmetric Encryption SEED
# 9 - Disable Symmetric Encryption IDEA/eNULL
# 3 - Disable All Of The Above Weak Symmetric Encryption
# 4 - Disable Symmetric Authentication MD5
# 5 - Disable All Of The Above Weak Symmetric Authentication
# 6 - Disable Protocol Version SSLv2/SSLv3
# 7 - Disable All Of The Above Weak Protocol Version
# 10 - Disable Server Authentication aNULL/aECDH
# 11 - Disable All Of The Above Weak Server Authentication
# 12 - Disable Key Exchange Algorithm kRSA
# 13 - Disable All Of The Above Weak Key Exchange Algorithm
# 8 - Disable All Of The Above Weak TLS Ciphers Suites
# Number: 0 - 13
# Mandatory
# P8536=8

# Changed the default value of "Minimum TLS Version"(P22293) to "12 - TLS 1.2."
# Minimum TLS version. Default is 12.
# 99 - Unlimited, 
# 10 - TLS 1.0
# 11 - TLS 1.1 
# 12 - TLS 1.2 
# Number: 99, 10, 11, 12
# Mandatory
# P22293=12 

###############################################
## Profile 1 or 2                            ##
###############################################
# Changed the default value of "Account Active"(P271/401) to "0 – No."
# Profile Active. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory
# P271=0 (Profile1)
# P401=0 (Profile2)

# Changed the default value of "Use Random SIP Port"(P20501-20504) to "1 - Yes."
# Use Random SIP Port. 0 - No, 1 - Yes. Default is 1.
# Number: 0,1
# Mandatory 
# P20501=1 (Profile1)
# P20502=1 (Profile2)

# Changed the default value of "Use Random RTP Port" (P20505-20508) to "1 - Yes."
# Use Random RTP Port. 0 - No, 1 - Yes. Default is 1.
# Number: 0,1
# Mandatory 
# P20505=1 (Profile1)
# P20506=1 (Profile2)

###############################################
## FXS PORTS                                 ##
###############################################
# Changed the default value of "Enable Port" (P4595-4598) to "0 - No."
# Enable Port. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory 
# P4595=0 (FXS1)
# P4596=0 (FXS2)
# P4597=0 (FXS3)
# P4598=0 (FXS4)

######################################
# P values updated since 1.0.61.5  ##
######################################

##########################################
##  Basic Settings                      ##
##########################################
# Maximum Transmission Unit (MTU). Default is 1500.
# Number: 576 - 1500
# P244= 1500
##########################################
##  Advanced Settings/ System Settings  ##
##########################################
# OpenVPN TLS Key.
# String: Maximum Length 8192 characters
# P22371=

# OpenVPN TLS Key Type. 0 - None,1 - TLS-Auth,2 - TLS-Crypt. Default is 0.
# Number:0,1,2
# P22457=0
####################################################
##  Advanced Settings/ Upgrade and Provisioning   ##
####################################################
# Updated the Custom Order for Config Files (P8501) config file download request sequence to start from cfgMAC.xml. 
# Also added the default value as: cfg$mac.xml;cfg$mac;cfg$product.xml;cfg.xml.
# Custom Order for Config Files. Default is cfg$mac.xml;cfg$mac;cfg$product.xml;cfg.xml.
# String:
# cfg$mac.xml; 
# cfg$mac; 
# cfg$product.xml; 
# cfg.xml; 
# cfg$mac_override.xml; 
# cfghcpopt67.xml;
# P8501= cfg$mac.xml;cfg$mac;cfg$product.xml;cfg.xml

######################################
# P values updated since 1.0.59.3  ##
######################################

###########################################
##  Advanced Settings/ System Settings   ##
###########################################
# OpenVPN Server Secondary Address.
# String: MaxLength: 253 characters
# P22597=

# OpenVPN Secondary Port. Default is 1194.
# Number: 1 - 65535
# Mandatory
# P22598= 1194

# Randomly Select Server. 0 – No, 1 – Yes Default is 0.
# Number: 0,1
# Mandatory
# P22599= 0

####################################################
##  Advanced Settings/ Upgrade and Provisioning   ##
####################################################

# Custom Order for Config Files.
# String:
# cfg$mac.xml; 
# cfg$product.xml; 
# cfg.xml; 
# cfg$mac; 
# cfg$mac_override.xml; 
# cfghcpopt67.xml;
# P8501=

#####################
##  Profile 1 or 2 ##
#####################

# Re-INVITE Upon CNG Count. Default is 0.
# Numnber: 0 - 6 (0: This feature is disabled)
# Mandatory
# P28923=0 (Profile 1)
# P28924=0 (Profile 2)

# Updated "Caller ID Transmission Mode" (P60095/60195) option value from "0 - Single Data Message Format, 1 - Multiple Data Message Format" to
# "0 - Multiple Data Message Format, 1 - Single Data Message Format. The default is "0 - Multiple Data Message Format".
# Caller ID Transmission Mode. 0 - Multiple Data Message Format, 1 - Single Data Message Format. Default is 0. 
# Numnber: 0, 1
# Mandatory
# P60095=0 (Profile 1)
# P60195=0 (Profile 2)

######################################
# P values updated since 1.0.57.1  ##
######################################

######################################
# P values updated since 1.0.55.5  ##
######################################

########################
##  Advanced Settings ##
########################
#Update default value of the NTP server to “pool.ntp.org”.
#NTP server
#String: serveraddress
#P30=pool.ntp.org

#Secondary NTP Server
#String: serveraddress
#P8333=
#####################
##  Profile 1 or 2 ##
#####################

#Caller ID Transmission Mode. 0 – Default, 1 – Legacy (Caller name is not sent).Default is 0.
#Number: 0, 1
#P60095=0 (Profile1)
#P60195=0 (Proflle2)

#Subscribe Retry Wait Time upon 403 Forbidden. Default is 0.
#Number: 0 - 10080
#P60068= 0 (Profile1)
#P60168= 0 (Profile2)

# Added “Parallel” in hunting group type (P4395/4396 Hunting Group Type. 2 - Parallel).
# Hunting Group Type. 0 - Circular, 1 - Linear, 2 - Parallel. Default is 0.
# Number: 0, 1, 2
# Mandatory
P4395=0 (Profile1)
P4396=0 (Profile2)

#################
##  FXS Ports  ##
#################
# Update the Name of “Request URI Routing ID” (P4669 - 4676) to “Routing ID” 
# Routing ID
# string
# P4669=
# P4670=
# P4671=
# P4672=

# Routing ID Matching Type. 0 - Request URI, 1 - To Header. Default is 0.
# Number: 0,1
# P28859=0
# P28860=0
# P28861=0
# P28862=0

######################################
# P values updated since 1.0.53.3  ##
######################################

#####################
##  Profile 1 or 2 ##
#####################
# Ringing Transfer.  0 - No, 1 - Yes. Default is 0.
# Number: 0, 1  
# Mandatory
#P4820 = 0 (Profile1)
#P4821 = 0 (Profile2) 

# RTP/RTCP Keep Alive On Hold. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1  
# Mandatory
#P28839 = 0 (Profile1)
#P28840 = 0 (Profile2) 

########################
##  Advanced Settings ##
########################
# OpenVPN Additional Options.
# String
#P8460 = 0

################################
##  Static DNS Cache ###
################################

### A Record Settings ###
# A Record: Order Name.
# String: Max length 512 characters.
#P93014=
#P93034=
#P93054=
#P93074=
#P93094=
#P93114=
#P93134=
#P93154=
#P93174=
#P93194=
#P93214=
#P93234=
#P93254=
#P93274=
#P93294=
#P93314=
#P93334=
#P93354=


# A Record: TTL. Default is 300.
# Number:300 to 65535
# Mandatory
#P93015=300
#P93035=300
#P93055=300
#P93075=300
#P93095=300
#P93115=300
#P93135=300
#P93155=300
#P93175=300
#P93195=300
#P93215=300
#P93235=300
#P93255=300
#P93275=300
#P93295=300
#P93315=300
#P93335=300
#P93355=300

# A Record: Address.
# String:
#P93016=
#P93036=
#P93056=
#P93076=
#P93096=
#P93116=
#P93136=
#P93156=
#P93176=
#P93196=
#P93216=
#P93236=
#P93256=
#P93276=
#P93296=
#P93316=
#P93336=
#P93356=

### SRV ###
# SRV: Order Name.
# String: Max length 512 characters.
#P93008=
#P93028=
#P93048=
#P93068=
#P93088=
#P93108=
#P93128=
#P93148=
#P93168=
#P93188=
#P93208=
#P93228=
#P93248=
#P93268=
#P93288=
#P93308=
#P93328=
#P93348=

# SRV: TTL. Default is 300.
# Number:300 to 65535
# Mandatory
#P93009=300
#P93029=300
#P93049=300
#P93069=300
#P93089=300
#P93109=300
#P93129=300
#P93149=300
#P93169=300
#P93189=300
#P93209=300
#P93229=300
#P93249=300
#P93269=300
#P93289=300
#P93309=300
#P93329=300
#P93349=300

# SRV: Priority. Default is 0.
# Number:0 to 65535
# Mandatory
#P93010=0
#P93030=0
#P93050=0
#P93070=0
#P93090=0
#P93110=0
#P93130=0
#P93150=0
#P93170=0
#P93190=0
#P93210=0
#P93230=0
#P93250=0
#P93270=0
#P93290=0
#P93310=0
#P93330=0
#P93350=0

# SRV: Weight. Default is 0.
# Number:0 to 65535
# Mandatory
#P93011=0
#P93031=0
#P93051=0
#P93071=0
#P93091=0
#P93111=0
#P93131=0
#P93151=0
#P93171=0
#P93191=0
#P93211=0
#P93231=0
#P93251=0
#P93271=0
#P93291=0
#P93311=0
#P93331=0
#P93351=0

# SRV: Port. Default is 0.
# Number:0 to 65535
# Mandatory
#P93012=0
#P93032=0
#P93052=0
#P93072=0
#P93092=0
#P93112=0
#P93132=0
#P93152=0
#P93172=0
#P93192=0
#P93212=0
#P93232=0
#P93252=0
#P93272=0
#P93292=0
#P93312=0
#P93332=0
#P93352=0

# SRV: Target.
# String:
#P93013=0
#P93033=0
#P93053=0
#P93073=0
#P93093=0
#P93113=0
#P93133=0
#P93153=0
#P93173=0
#P93193=0
#P93213=0
#P93233=0
#P93253=0
#P93273=0
#P93293=0
#P93313=0
#P93333=0
#P93353=0

### NAPTR ###
# NAPTR: Order Name. 
# String: Max length allowed is 512 characters.
#P93000=
#P93020=
#P93040=
#P93060=
#P93080=
#P93100=
#P93120=
#P93140=
#P93160=
#P93180=
#P93200=
#P93220=
#P93240=
#P93260=
#P93280=
#P93300=
#P93320=
#P93340=

# NAPTR: TTL. Default is 300.
# Number:300 to 65535
# Mandatory
#P93001=300
#P93021=300
#P93041=300
#P93061=300
#P93081=300
#P93101=300
#P93121=300
#P93141=300
#P93161=300
#P93181=300
#P93201=300
#P93221=300
#P93241=300
#P93261=300
#P93281=300
#P93301=300
#P93321=300
#P93341=300

# NAPTR: Order. Default is 0.
# Number:0 to 65535
# Mandatory
#P93002=0
#P93022=0
#P93042=0
#P93062=0
#P93082=0
#P93102=0
#P93122=0
#P93142=0
#P93162=0
#P93182=0
#P93202=0
#P93222=0
#P93242=0
#P93262=0
#P93282=0
#P93302=0
#P93322=0
#P93342=0

# NAPTR: Preference. Default is 0.
# Number:0 to 65535
# Mandatory
#P93003=0
#P93023=0
#P93043=0
#P93063=0
#P93083=0
#P93103=0
#P93123=0
#P93143=0
#P93163=0
#P93183=0
#P93203=0
#P93223=0
#P93243=0
#P93263=0
#P93283=0
#P93303=0
#P93323=0
#P93343=0

# NAPTR: Flags.
# String:
#P93004=
#P93024=
#P93044=
#P93064=
#P93084=
#P93104=
#P93124=
#P93144=
#P93164=
#P93184=
#P93204=
#P93224=
#P93244=
#P93264=
#P93284=
#P93304=
#P93324=
#P93344=

# NAPTR: Service. Default is SIP+D2U.
# String:Max length 512 characters.
# Mandatory
#P93005=SIP+D2U
#P93025=SIP+D2U
#P93045=SIP+D2U
#P93065=SIP+D2U
#P93085=SIP+D2U
#P93105=SIP+D2U
#P93125=SIP+D2U
#P93145=SIP+D2U
#P93165=SIP+D2U
#P93185=SIP+D2U
#P93205=SIP+D2U
#P93225=SIP+D2U
#P93245=SIP+D2U
#P93265=SIP+D2U
#P93285=SIP+D2U
#P93305=SIP+D2U
#P93325=SIP+D2U
#P93345=SIP+D2U

# NAPTR: Regexp.
# String
#P93006=
#P93026=
#P93046=
#P93066=
#P93086=
#P93106=
#P93126=
#P93146=
#P93166=
#P93186=
#P93206=
#P93226=
#P93246=
#P93266=
#P93286=
#P93306=
#P93326=
#P93346=

# NAPTR: Replacement.
# String
#P93007=
#P93027=
#P93047=
#P93067=
#P93087=
#P93107=
#P93127=
#P93147=
#P93167=
#P93187=
#P93207=
#P93227=
#P93247=
#P93267=
#P93287=
#P93307=
#P93327=
#P93347=

##############################################################################
##  P values not on WebUI                                                   ##
##############################################################################

# Initial line polarity. 0 - Forward, 1 – Reverse. The default is 1.
# Number: 0, 1  
# Mandatory
#P28834 = 1 (Profile 1)
#P28835 = 1 (Profile 2) 

# Syslog Setting and Internal Logs Protection. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1  
# Mandatory
#P82307 = 0

######################################
# P values updated since 1.0.53.2  ##
######################################

# Set the "Disable User Level Web Access" to "Yes" by default. 
# Disable User Level Web Access. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1  
# Mandatory
#P28158 = 1 

# Set the "Disable Viewer Level Web Access" to "Yes" by default.
# Disable Viewer Level Web Access. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1  
# Mandatory
#P28159 = 1

######################################
# P values updated since 1.0.51.1  ##
######################################

##############################################################################
##  P values not on WebUI                                                   ##
##############################################################################

# SRV DNS Cache Name.
# String: Maxlength 512 characters.
# P93028= (Profile 1) 
# P93048= (Profile 2)

# SRV DNS Cache Port. Default is 0.
# Number: 0 - 65535. 
# P93032= (Profile 1)
# P93052= (Profile 2)

# SRV DNS Cache Priority. Default is 0.
# Number: 0 - 65535. 
# P93030= (Profile 1)
# P93050= (Profile 2)

# SRV DNS Cache Target.
# String: Maxlength 512 characters.
# P93033= (Profile 1)
# P93053= (Profile 2)

#SRV DNS Cache Weight. Default is 0.
# Number: 0 - 65535. 
# P93031= (Profile 1)
# P93051= (Profile 2)

######################################
# P values updated since 1.0.49.2  ##
######################################
########################
##  Advanced Settings ##
########################
# RADIUS Auth Protocol. 0 - PAP, 1 - CHAP, 2 - MsCHAPv1, 3 - MsCHAPv2. Default is 0.
# Number: 0, 1, 2, 3
# Mandatory
P28803=0

#####################
##  Profile 1 or 2 ##
#####################
# Added new value "4 - Auto" in NAT Traversal
# NAT Traversal. 0 - No, 1 - STUN, 2 - Keep-Alive, 3 - UPnP, 4 - Auto, 5 - VPN. Default is 0.
# Number: 0, 1, 2, 3, 4, 5
# Mandatory
# P52=0 (Profile1)
# P730=0 (Profile2)

# Set Offhook Auto-Dial Feature. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory
# P24089=1 (Profile1)
# P24289=1 (Profile2)

# Enable Set Offhook Auto-Dial. Default is 77.
# String: digital Min Length 2 characters, Max Length 2 characters.
# Mandatory
# P24040=77 (Profile1)
# P24240=77 (Profile2)

# Force DTMF to be sent via SIP INFO simultaneously. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory
# P28794=1 (Profile1)
# P28795=1 (Profile2)

######################################
# P values updated since 1.0.47.4  ##
######################################
#####################
# Basic Settings #
#####################
# Enable RADIUS Through Management Interface. Default is 0.
# Number: 0,1
# Mandatory
# P8467=0

#####################
# Advanced Settings #
#####################
# Enable strict password rules. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory
# P28788=0

# Minimum password length. Default is 8.
# Number: 4 - 30.
# Mandatory
# P28790=8

# Required number of character classes. Default 3.
# Number: 0 - 4.
# Mandatory
# P28791=3

# Allowed Character classes. Default is 7.
# The number is the the sum of the checked number, e.g: 0, 1, 2, 4, 7, 3(1+2), 7(1+2+4), 15(1+2+4+7).
# Number and Checkbox: 1 - Lower case, 2 - Upper case, 4 - Numbers, 8 - Special Characters.
# P28792=7

#####################
##  Profile 1 or 2 ##
#####################

# RFC2833 Convert Mode. 0 – ATA Mode, 1 – DSP Normal Mode (Default), 2 – DSP Permanent Mode. Default is 0.
# Number: 0,1,2
# Mandatory
# P28798=0 (Profile 1)
# P28799=0 (Profile 2)

# Use P-Early-Media Header. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1.
# Mandatory
# P60072=0 (Profile 1)
# P60172=0 (Profile 2)

# Ringback Tone at No Early Media. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1.
# Mandatory
# P60073=0 (Profile 1)
# P60173=0 (Profile 2)

# Support outbound. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1.
# Mandatory
# P60081=0 (Profile 1)
# P60181=0 (Profile 2)

# Support GRUU. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1.
# Mandatory
# P60080=0 (Profile 1)
# P60180=0 (Profile 2)

# Replace Beginning '+' in Caller ID with. 
# String: characters 0 - 9, +, #. Maxlength is 6. 
# P60083=0 (Profile 1)
# P60183=0 (Profile 2)

# Number of Beginning Digits to Strip from Caller ID. Default is 0.
# Number: 0 - 10.
# Mandatory
# P29096=0 (Profile 1)
# P29196=0 (Profile 2)

# Minimum RTP Port.
# Number: 1024 - 65535.
# P60084= (Profile 1)
# P60184= (Profile 2)

# Maximum RTP Port.
# Number: 1024 - 65535.
# P60085= (Profile 1)
# P60185= (Profile 2)

######################################
# P values updated since 1.0.45.2  ##
######################################
####################
## Basic Settings ##
####################
# LAN Port VLAN Feature Under Bridge Mode: VLAN Tag. Default is 0.
# Number: 0 - 4094.
# Mandatory
# P229=0

# LAN Port VLAN Feature Under Bridge Mode: Priority Value. Default is 0.
# Number: 0 - 7.
# Mandatory
# P230=0
#####################
# Advanced Settings #
#####################
# Special Condition Tone. Default is f1=350@-13, f2=450@-13, c=750/750;
# String
# Mandatory
# P28211=f1=350@-13, f2=450@-13, c=750/750;

# Added new option "Disabled"in CDR File Option 
# CDR File Option. 0 - Keep, 1 - Overwrite, 2 - Disabled.
# Number: 0, 1, 2
# Mandatory 
# P8534=1

#####################
##  Profile 1 or 2 ##
#####################
# Inband DTMF Tx Gain. Default is 0.
# Number: -12 - 12.
# Mandatory
# P28772=0 (Profile 1)
# P28773=0 (Profile 2)

# Incoming Call Duration Limit. (0-180 minutes, default is 0 (No Limit))
# Number: 0 - 180. (0 is No Limit)
# Mandatory
# P28760=0 (Profile 1)
# P28761=0 (Profile 2)

# Port Voltage Off upon no SIP Registration or SIP Registration Failure. Default is 0.
# Number: 0 - 60. (0 means the port voltage is never turned off)
# Mandatory
# P28756=0 (Profile 1)
# P28757=0 (Profile 2) 

# Delay Time of Port Voltage Off Timer Since Boot. Default is 0.
# Number: 0 - 60.
# Mandatory
# P28784=0 (Profile 1)
# P28785=0 (Profile 2)

# Addded 0 to "RFC2833 Events Count" , 0 means continuous RFC2833 events 
# RFC2833 Events Count. Default is 8.
# Number: 0, 2 - 10 (0 means continuous RFC2833 events)
# Mandatory
# P28173 = 8 (Profile 1)
# P28174 = 8 (Profile 2)

###########################
# New Pvalue not on WebUI #
###########################
# AC Ring Trip Threshold. Default is 0.
# 0 - default threshold, 1 - 20mA, 2 - 24mA, 3 - 28mA, 4 - 32mA, 5 - 36mA, 6 - 40mA, 7 - 44mA, 8 - 48mA.
# Number: 0 - 8.
# Mandatory
# P28764=0 (Profile 1)
# P28765=0 (Profile 2)

# Hook Debounce Interval. Default is 0.
# 0 - default threshold, 1 - 2.5ms, 2 - 5ms, 3 - 7.5ms, 4 - 10ms.
# Number: 0 - 4.
# Mandatory
# P28768=0 (Profile 1)
# P28769=0 (Profile 2)

######################################
# P values updated since 1.0.43.11  ##
######################################

#####################
# Advanced Settings #
#####################
# Download and Process All Available Config File. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory
# P8467=0

###################
# Profile 1 or 2 ##
###################
# When To Restart Session After Re-INVITE received. 0 - Immediately, 1 - After replying 200OK. Default is 0.
# Number: 0,1
# Mandatory
# P28744=0 (Profile 1)
# P28745=0 (Profile 2)

# Updated the options in "Unregister On Reboot" to "0 - No, 1 - All, 2 - Instance".
# Unregister On Reboot. 0 - No, 1 - All, 2 - Instance. Default is 0.
# Number: 0,1,2
# Mandatory
# P81=0 (Profile 1)
# P752=0 (Profile 2)

#####################################
# P values updated since 1.0.41.5  ##
#####################################
# Updated the default option of "Disable Reminder Ring for DND (P29072/29172)" to "1 - Yes". 
# Disable Reminder Ring for DND. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory 
# P29072=1 (Profile 1)
# P29172=1 (Profile 2)

# Add new special feature option "138- GIBTELECOM"(Profile 1 or 2-> Special Feature-> GIBTELECOM)
# Special Feature 
# STANDARD=100, BROADSOFT=102, CBCOM=108, RNK=109, HUAWEI=111, CHINA MOBILE = 113
# ZTE_IMS=114, PHONEPOWER=119, TELKOM_SA=120, VONAGE=121, METASWITCH = 122, CENTURYLINK = 124, MTS = 126, Oi_BR = 132, ROSTELECOM - 133, IZZI - 135, GIBTELECOM - 138.
# Number: 100, 102, 108, 109, 111, 113, 114, 119, 120, 121, 122, 124, 126, 132, 133, 135, 138
# Mandatory
# P198=100 (Profile 1)
# P767=100 (Profile 2)

# Enable TR069 Through Management Interface. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory
# P8607=0

# Enable Syslog Through Management Interface. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory
# P8610=0

# Enable using tags in URL. 0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory
# P8609=0

# Information Capture
# With Secret Key Information.0 - No, 1 - Yes. Default is 0.
# Number: 0,1
# Mandatory
# P22419=0

# Security Controls for SSH/Telnet Access. 0 - Only allow SSH private IP users to set system Pvalue. 1 - Allow all SSH users to set system Pvalue
# 2 - Allow all SSH users to set any Pvalue. 3 - Allow any user to set any Pvalue. 4 - Prohibit setting Pvalue. Default is 3.
# Number: 0,1,2,3,4
# Mandatory
# P28210=3

# Additional Override DHCP Option. 0 – None, 1 – Option 150. Default is 0.
# Number:0,1
# Mandatory
# P8337=0

# From Domain
# String
# P8617= (Profile 1)
# P8618= (Profile 2)

# SRTP Key Length. 0 - AES 128&256 bit, 1 - AES 128 bit, 2 - AES 256 bit. Default is 0.
# Number:0,1,2
# Mandatory
# P2383=0 (Profile 1)
# P2483=0 (Profile 2)

# Inband DTMF Duration - duration. Default is 100.
# Number: 40 to 2000 milliseconds
# Mandatory
# P28134=100 (Profile 1)
# P28135=100 (Profile 2)

# Inband DTMF Duration - duration. Default is 50.
# Number: 40 to 2000 milliseconds
# Mandatory
# P28138=50 (Profile 1)
# P28139=50 (Profile 2)

# DSP DTMF Detector Duration Threshold - duration. Default is 30.
# Number: 20 to 200 milliseconds
# Mandatory
# P28201=30 (Profile 1)
# P28202=30 (Profile 2)

# DSP DTMF Detector Duration Threshold - inter-duration. Default is 30.
# Number: 20 to 200 milliseconds
# Mandatory
# P28205=30 (Profile 1)
# P28206=30 (Profile 2)

Added support following-up P values not on WEB 

# TR-069 firewall rules.
# Number: 1 to 65535
# Mandatory
# P61701=  (Profile 1)
# P61702=  (Profile 2)

# Root CA Version. 0 - Current Root; 1 - New Root. Default is 1.
# Number: 0,1
# Mandatory
# P8603=1

# Provision and upgrade to new Gen-2 certificate. 1- upgrade, 0 - no upgrade. Default is 0.
# Number: 0,1
# Mandatory
# P8604=0

# Contents (text string) of Gen-2 certificate to upgrade.
# String: Maxlength 8192
# P8605=

# Contents (text string) of Gen-2 EC private key to upgrade.
# String: Maxlength 8192
# P8606=

# Disable filename in URL for config provision. 1 -Yes, 0 – No. Default is 0
# Number: 0,1
# Mandatory
# P8615=0

# Disable filename in URL for firmware upgrade. 1 -Yes, 0 – No. Default is 0
# Number: 0,1
# Mandatory
# P8616=0

#####################################
# P values updated since 1.0.39.4  ##
#####################################

# Updated the Time Zone option for “GMT+01:00 (Paris, Vienna, Warsaw)” to “GMT+01:00 (Paris, Vienna, Warsaw, Brussels)”
# Removed "GMT+01:00 (Brussels, Belgium)"
# <value= TZO-1> GMT+01:00 (Paris, Vienna, Warsaw, Brussels) 
# P64 = customize

#####################################
# P values updated since 1.0.37.1  ##
#####################################

# Enable SNMP Through Management Interface. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1  
# Mandatory
# P28209= 0

# Subscribe Retry Wait Time upon 403 Forbidden. Default is 0.
# Number: 0 to 10080 (0-10080 in minutes. Default is 0, max 7 days)
# P60068= 0(Profile 1)
# P60168= 0(Profile 2)

#############################
### E911/HELD Protocol ######
#############################

# Enable E911. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1  
# Mandatory
# P8565=0

# HELD Protocol. 0 - HTTP, 1 - HTTPS. Default is 0.
# Number: 0, 1  
# Mandatory
# P8566=0

# HELD Synchronization Interval. Default is 0
# Number: 0, 30 to 1440 (in minutes. 0 (Disable) or Between 30-1440)
# Mandatory
# P8567=0

# Location Server
# String Maximum Length: 256
# P8568=0

# Location Server Username
# String Maximum Length: 64
# P8569=

# Location Server Password
# String Maximum Length: 64
# P8570=

# Secondary Location Server
# String Maximum Length: 256
# P8571=0

# Secondary Location Server Username
# String Maximum Length: 64
# P8572=

# Secondary Location Server Password
# String Maximum Length: 64
# P8573=

# HELD Location Types
# String Maximum Length: 64
# P8574=geodetic,civic,locationURI

# HELD NAI. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1  
# Mandatory
# P8576=0


# HELD Identity 1 - 10
# String Maximum Length: 64
# P8577=
# P8579=
# P8581=
# P8583=
# P8585=
# P8587=
# P8589=
# P8591=
# P8593=
# P8595=

# HELD Identity 1 - 10 Value
# String Maximum Length: 64
# P8578=
# P8580=
# P8582=
# P8584=
# P8586=
# P8588=
# P8590=
# P8592=
# P8594=
# P8596=

# E911 Emergency Numbers. Default is 911
# String Maximum Length: 64. 0-9, *, #, ;
# P8597=911

# Geolocation-Routing Header. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1  
# Mandatory
# P8598=0

# Priority Header. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1  
# Mandatory
# P8599=0

# Updated Maximum Number of SIP Request Retries default value from 4 to 2.
# P60055 = 2 (FXS 1)
# P60155 = 2 (FXS 2)

# Updated CDR File Option values from "1 - Override" to "1 - Overwrite".
# Updated CDR File Option  default value from "Keep" (0) to "Overwrite" (1).
# P8534=1

# Updated SIP File Option values from from "1 - Override" to "1 - Overwrite".
# Updated SIP File Option  default value from "Keep" (0) to "Overwrite" (1).
# P8535=1

#Added Local IVR option that announces extension number of the port.

#####################################
# P values updated since 1.0.35.4  ##
#####################################

# Configuration File Types Allowed. 47 - All, 46 - XML only. Default is 47.
# Number: 46, 47  
# Mandatory
# P8601= 47

# MAC in User-Agent. 0 - No, 1 - Yes except REGISTER, 2.- Yes to all SIP. Default is 0.
# Number: 0, 1, 2
# Mandatory
# P26061 = 0 (Profile 1)
# P26161 = 0 (Profile 2)

# Use MAC Header. 0 - No, 1 - REGISTER Only, 2.- Yes to all request SIP. Default is 0.
# Number: 0, 1, 2
# Mandatory
# P29090 = 0 (Profile 1)
# P29190 = 0 (Profile 2)

#####################################
# P values updated since 1.0.33.4  ##
#####################################

# Added new Time Zone option for Israel DST
# <value=IST-2IDT,M3.5.5/2,M10.5.0/2> GMT+02:00 (Israel DST) 
# P64 = customize

# Special Proceed Indication Tone 
# Mandatory
# P28196 = f1=350@-13, f2=440@-13, c=750/750-0/0;

# MWI Tone. 0 - Default, 1 - Special Proceed Indication Tone
# Number: 0, 1  
# Mandatory
# P28197 = 0 (Profile 1)
# P28198 = 0 (Profile 2)

#####################################
# P values updated since 1.0.31.1  ##
#####################################

# Always send HTTP Basic Authentication Information. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P20713 = 0 

# Enable Call Waiting Alert-Info in 180 Ringing Response . 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P60064 = 0 (Profile 1)
# P60164 = 0 (Profile 2)

#####################################
# P values updated since 1.0.29.8  ##
#####################################

# OpenVPN Username
# P8394 = 

# OpenVPN Password
# P8395 = 

# OnHook DC Feed Current. 0 - 20mA, 2 - 30mA default. Defualt is 30mA.
# Number: 0, 2
# Mandatory
# P28192 = 2 (Profile 1)
# P28193 = 2 (Profile 2)

#####################################
# P values updated since 1.0.25.5  ##
#####################################

# Enable OpenVPN. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P7050 = 0 

# OpenVPN Server Address.
# String
# Maximum Length: 64
# P7051 = 

# OpenVPN Port.
# String
# Maximum Length: 64
# P7052 = 1194

# OpenVPN Interface type. tap - TAP, tun - TUN
# Number: tap, tun  
# Mandatory
# P20714 = tap

# OpenVPN Transport. udp - UDP, tcp - TCP
# Number: udp, tcp  
# Mandatory
# P2912 = udp

# Enable OpenVPN LZO Compression. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P20716 = 1

# OpenVPN Encryption.
# String: BF-CBC - BF-CBC 128 bit default key (variable) Default; DES-CBC - DES-CBC 64 bit default key (fixed); RC2-CBC - RC2-CBC 128 bit default key (variable);DES-EDE-CBC - DES-EDE-CBC 128 bit default key (fixed);
		  DES-EDE3-CBC - DES-EDE3-CBC 192 bit default key (fixed); DESX-CBC - DESX-CBC 192 bit default key (fixed); RC2-40-CBC - RC2-40-CBC 40 bit default key (variable);CAST5-CBC - CAST5-CBC 128 bit default key (variable);
		  RC2-64-CBC - RC2-64-CBC 64 bit default key (variable); AES-128-CBC - AES-128-CBC 128 bit default key (fixed); AES-192-CBC - AES-192-CBC 192 bit default key (fixed);AES-256-CBC - AES-256-CBC 256 bit default key (fixed)
# Mandatory
# P20717 = BF-CBC

# OpenVPN Digest. 
# String: SHA1 - SHA1 Default; MD5 - MD5; RSA-MD5 - RSA-MD5; RSA-SHA1 - RSA-SHA1; DSA-SHA1-old - DSA-SHA1-old; DSA-SHA1 - DSA-SHA1; RSA-SHA1-2 - RSA-SHA1-2;
		  DSA – DSA; RIPEMD160 - RIPEMD160; RSA-RIPEMD160 - RSA-RIPEMD160; MD4 - MD4; RSA-MD4 - RSA-MD4; ecdsa-with-SHA1 - ecdsa-with-SHA1; RSA-SHA256 - RSA-SHA256;
          RSA-SHA384 - RSA-SHA384; RSA-SHA512 - RSA-SHA512; RSA-SHA224 - RSA-SHA224; SHA256 - SHA256; SHA384 - SHA384; SHA512 - SHA512; SHA224 - SHA244; Whirlpool - whirlpool
# Mandatory
# P20725 = SHA1 

# OpenVPN CA
# String
# Maximum Length: 8192
# P9902 =

# OpenVPN Certificate
# String
# Maximum Length: 8192
# P9903 =

# OpenVPN Client Key
# String
# Maximum Length: 8192
# P9904 =

# OpenVPN Client Key Password
# String
# Maximum Length: 64
# P20715 =

# Maximum Number of SIP Request Retries
# Number: 1-10
# Mandatory
# P60055 = 4 (Profile 1)
# P60155 = 4 (Profile 2)

# Failback Timer
# Number: 60-64800
# Mandatory
# P60056 = 60 (Profile 1)
# P60156 = 60 (Profile 2)

# Expanded the supported certificate’s length to 8192 for P2386/P2486, P280, P8220

#####################################
# P values updated since 1.0.23.5  ##
#####################################

# DNS SRV Failover Mode. 0 – Default, 1 – Saved one until TTL, 2 - Saved one until no response
# Number: 0, 1, 2 
# Mandatory
# P26040 = 0 (Profile 1)
# P26140 = 0 (Profile 2)

# Register Before DNS SRV Failover. 0 – No, 1 – Yes
# Number: 0, 1 
# Mandatory
# P29095 = 0 (Profile 1)
# P29195 = 0 (Profile 2)


#####################################
# P values updated since 1.0.21.4 ##
#####################################

# DHCP domain name
# String
# Maximum Length: 32
# P147=

#DNS use Configured IP
# Primary IP
# String
# Maximum Length: 15
# P2308= (Profile 1)

# Backup IP1
# String
# Maximum Length: 15
# P2309= (Profile 1)

# Backup IP2
# String
# Maximum Length: 15
# P2310= (Profile 1)

# Primary IP
# String
# Maximum Length: 15
# P2408= (Profile 2)

# Backup IP1
# String
# Maximum Length: 15
# P2409= (Profile 2)

# Backup IP2
# String
# Maximum Length: 15
# P2410= (Profile 2)

# Play Busy Tone When Account is unregistered. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P28181 = 0 

#####################################
# P values updated since 1.0.19.8  ##
#####################################

#Increased “SIP TLS Certificate” and “SIP TLS Private Key” supported maximum length from 2048 to 4096.

# SIP TLS Certificate
# String
# Maximum Length: 4096
# P280=

# SIP TLS Private Key
# String
# Maximum Length: 4096
# P279=

#####################################
# P values updated since 1.0.19.1  ##
#####################################

# Disable User Level Web Access. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P28158 = 0 

# Disable Viewer Level Web Access. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P28159 = 0 

# Use P-Asserted-Identity Header. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P29098 = 0 (Profile 1)
# P29198 = 0 (Profile 2)

# Load CA Certificates. 0 - Built-in trusted certificates, 1 - Custom trusted certificate, 2 - All trusted certificates
# Number: 0, 1, 2  
# Mandatory
# P8502 = 0 

# Connection Request Port. Default is 7547
# Number: 0 - 65535
# Mandatory
# P4518 = 7547

# DNS Cache Refresh Time. 1 - 1440 minutes, defualt is 30 minutes. Configurable from cfg file only, need to reboot to take effect. 
# Number: 1 - 1440
# Mandatory
# P4208 = 30

# DNS Cache Duration. 1 - 1440 minutes, defualt is 0 - Disabled. Configurable from cfg file only, need to reboot to take effect. 
# Number: 0 - 1440
# Mandatory
# P28160 = 0

# Web Access Privilege Pattern. 1 - Telefonica Spain, 0 - Default. Defualt is 0. Configurable from cfg file or SSH. If set to 1, User Level can only see the Status page. Under the Status page, CDR/SIP log and GR909 page will not shown. 
# Number: 0, 1
# Mandatory
# P28152 = 0

# Added “Disable” option for “Web Access Mode”
# Web Access Mode. 0 - HTTPS, 1 - HTTP, 2 - Disabled.
# Number: 0, 1, 2
# Mandatory
# P1650 = 1 

# Added “New Zealand Standard” option for “Pulse Dialing Standard”
# Pulse Dialing Standard. 0 - General Standard, 1 - Swedish Standard, 2 - New Zealand Standard 
# Number: 0, 1, 2
# Mandatory 
# P28165=0 (Profile1)
# P28166=0 (Profile2)

# Increased Ring Timeout (P185, P816) range to 0-300, 0 means no timeout

# Moved “Trusted CA certificates” from Profile1/Profie2 (P2386/P2486) to Advanced Settings and renamed as Trusted CA Certificates A (P2386) and Trusted CA Certificates B (P2486).

#####################################
# P values updated since 1.0.17.5  ##
#####################################

# Added Value 132 = Oi_BR for Special Feature (P767, P198)

#####################################
# P values updated since 1.0.15.4  ##
#####################################

# Minimum TLS Version. 99 - Unlimited, 10 - TLS 1.0, 11 - TLS 1.1, 12 - TLS 1.2
# Number: 99, 10, 11, 12
# Mandatory
# P22293 = 99

# Maximum TLS Version. 99 - Unlimited, 10 - TLS 1.0, 11 - TLS 1.1, 12 - TLS 1.2
# Number: 99, 10, 11, 12
# Mandatory
# P22294 = 99


#####################################
# P values updated since 1.0.13.7  ##
#####################################

# Update Automatic Upgrade Pvalue from P194 to P22296

# Syslog Protocol. 0 – UDP, 1 – SSL/TLS. 
# Number: 0, 1  
# Mandatory
# P8402 = 0 

# Distinctive Call Waiting Tone. Call Waiting Tone Choice 1 to Choice 3
# Number: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9
# 0 - Call Waiting Tone 1, 1- Call Waiting Tone 2, 2 - Call Waiting Tone 3, 3 - Call Waiting Tone 4, 4  - Call Waiting Tone 5, 5  - Call Waiting Tone 6, 6  - Call Waiting Tone 7, 8  - Call Waiting Tone 9, 9  - Call Waiting Tone 10     
# Mandatory
# P29074 = 0 (Profile 1)
# P29075 = 0 (Profile 1)
# P29076 = 0 (Profile 1)
# P29174 = 0 (Profile 2)
# P29175 = 0 (Profile 2)
# P29176 = 0 (Profile 2)

# Used if incoming caller ID is. The caller ID to match the call waiting tone. 
# String Max Length: 64
# P29077 =  (Profile 1)
# P29078 =  (Profile 1)
# P29079 =  (Profile 1)
# P29177 =  (Profile2)
# P29178 =  (Profile2)
# P29179 =  (Profile2)

# Call Waiting Tone. Call Waiting Tone 1-10
# String Max Length: 64
# Mandatory
# P29080 = f1=440@-13,c=300/10000; (Profile 1)
# P29081 = f1=440@-13,c=300/10000; (Profile 1)
# P29082 = f1=440@-13,c=300/10000; (Profile 1)
# P29083 = f1=440@-13,c=300/10000; (Profile 1)
# P29084 = f1=440@-13,c=300/10000; (Profile 1)
# P29085 = f1=440@-13,c=300/10000; (Profile 1)
# P29086 = f1=440@-13,c=300/10000; (Profile 1)
# P29087 = f1=440@-13,c=300/10000; (Profile 1)
# P29088 = f1=440@-13,c=300/10000; (Profile 1)
# P29089 = f1=440@-13,c=300/10000; (Profile 1)
# P29180 = f1=440@-13,c=300/10000; (Profile 2)
# P29181 = f1=440@-13,c=300/10000; (Profile 2)
# P29182 = f1=440@-13,c=300/10000; (Profile 2)
# P29183 = f1=440@-13,c=300/10000; (Profile 2)
# P29184 = f1=440@-13,c=300/10000; (Profile 2)
# P29185 = f1=440@-13,c=300/10000; (Profile 2)
# P29186 = f1=440@-13,c=300/10000; (Profile 2)
# P29187 = f1=440@-13,c=300/10000; (Profile 2)
# P29188 = f1=440@-13,c=300/10000; (Profile 2)
# P29189 = f1=440@-13,c=300/10000; (Profile 2)

# Disable Weak TLS Cipher Suites. 
# 0 – Enable Weak TLS Ciphers Suites, 1 – Disable Symmetric Encryption RC4/DES/3DES, 2 - Disable Symmetric Encryption SEED, 3 - Disable All Of The Above Weak Symmetric Encryption, 4 - Disable Symmetric Authentication MD5, 5 - Disable All Of The Above Weak Symmetric Authentication, 6 - Disable Protocol Version SSLv2/SSLv3, 7 - Disable All Of The Above Weak Protocol Version, 8 - Disable All Of The Above Weak TLS Ciphers Suites
# Number: 0-8 
# Mandatory
# P8536 = 0 


###################################
# P values added since 1.0.13.5  ##
###################################

# Reset Call Features. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24199 = 0 (Profile 1)
# P24399 = 0 (Profile 2)

###################################
# P values added since 1.0.11.6  ##
###################################

# SRTP Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24060 = 1 (Profile 1)
# P24260 = 1 (Profile 2)

# Enable SRTP. 
# Number
# Mandatory
# P24001 = 16 (Profile 1)
# P24201 = 16 (Profile 2)

# Disable SRTP.
# Number
# Mandatory
# P24002 = 17 (Profile 1)
# P24202 = 17 (Profile 2)

# SRTP per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24061 = 1 (Profile 1)
# P24261 = 1 (Profile 2)

# Enable SRTP per call. 
# Number
# Mandatory
# P24003 = 18 (Profile 1)
# P24203 = 18 (Profile 2)

# Disable SRTP per call.
# Number
# Mandatory
# P24004 = 19 (Profile 1)
# P24204 = 19 (Profile 2)

# CID Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24062 = 1 (Profile 1)
# P24262 = 1 (Profile 2)

# Enable CID. 
# Number
# Mandatory
# P24006 = 31 (Profile 1)
# P24206 = 31 (Profile 2)

# Disable CID.
# Number
# Mandatory
# P24005 = 30 (Profile 1)
# P24205 = 30 (Profile 2)

# CID per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24065 = 1 (Profile 1)
# P24265 = 1 (Profile 2)

# Enable CID per call. 
# Number
# Mandatory
# P24019 = 82 (Profile 1)
# P24219 = 82 (Profile 2)

# Disable CID per call.
# Number
# Mandatory
# P24010 = 67 (Profile 1)
# P24210 = 67 (Profile 2)

# Direct IP Calling Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24063 = 1 (Profile 1)
# P24263 = 1 (Profile 2)

# Direct IP Calling. 
# Number
# Mandatory
# P24007 = 47 (Profile 1)
# P24207 = 47 (Profile 2)

# CW Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24064 = 1 (Profile 1)
# P24264 = 1 (Profile 2)

# Enable CW. 
# Number
# Mandatory
# P24009 = 51 (Profile 1)
# P24209 = 51 (Profile 2)

# Disable CW.
# Number
# Mandatory
# P24008 = 50 (Profile 1)
# P24208 = 50 (Profile 2)

# CW per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24067 = 1 (Profile 1)
# P24267 = 1 (Profile 2)

# Enable CW per call. 
# Number
# Mandatory
# P24013 = 71 (Profile 1)
# P24213 = 71 (Profile 2)

# Disable CW per call.
# Number
# Mandatory
# P24012 = 70 (Profile 1)
# P24212 = 70 (Profile 2)

# Call Return Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24066 = 1 (Profile 1)
# P24266 = 1 (Profile 2)

# Call Return. 
# Number
# Mandatory
# P24011 = 69 (Profile 1)
# P24211 = 69 (Profile 2)

# Unconditional Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24068 = 1 (Profile 1)
# P24268 = 1 (Profile 2)

# Enable Unconditional Forward. 
# Number
# Mandatory
# P24014 = 72 (Profile 1)
# P24214 = 72 (Profile 2)

# Disable Unconditional Forward.
# Number
# Mandatory
# P24015 = 73 (Profile 1)
# P24215 = 73 (Profile 2)

# Busy Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24072 = 1 (Profile 1)
# P24272 = 1 (Profile 2)

# Enable Busy Forward. 
# Number
# Mandatory
# P24021 = 90 (Profile 1)
# P24221 = 90 (Profile 2)

# Disable Busy Forward.
# Number
# Mandatory
# P24022 = 91 (Profile 1)
# P24222 = 91 (Profile 2)

# Delayed Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24073 = 1 (Profile 1)
# P24273 = 1 (Profile 2)

# Enable Delayed Forward. 
# Number
# Mandatory
# P24023 = 92 (Profile 1)
# P24223 = 92 (Profile 2)

# Disable Delayed Forward.
# Number
# Mandatory
# P24024 = 93 (Profile 1)
# P24224 = 93 (Profile 2)

# Paging Feature. 0 - No, 1 - Yes
# Number
# Mandatory
# P24069 = 1 (Profile1)
# P24269 = 1 (Profile2)

# Paging
# Number
# Mandatory
# P24016 = 74 (Profile1)
# P24216 = 74 (Profile2)

# DND Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24070 = 1 (Profile 1)
# P24270 = 1 (Profile 2)

# Enable DND. 
# Number
# Mandatory
# P24017 = 78 (Profile 1)
# P24217 = 78 (Profile 2)

# Disable DND.
# Number
# Mandatory
# P24018 = 79 (Profile 1)
# P24218 = 79 (Profile 2)

# Blind Transfer Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24071 = 1 (Profile 1)
# P24271 = 1 (Profile 2)

# Enable Blind Transfer. 
# Number
# Mandatory
# P24020 = 87 (Profile 1)
# P24220 = 87 (Profile 2)

# Disable LEC per call Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24074 = 1 (Profile 1)
# P24274 = 1 (Profile 2)

# Disable LEC per call.
# Number
# Mandatory
# P24025 = 03 (Profile 1)
# P24225 = 03 (Profile 2)

# Star Code 3WC Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24075 = 1 (Profile 1)
# P24275 = 1 (Profile 2)

# Star Code 3WC.
# Number
# Mandatory
# P24026 = 23 (Profile 1)
# P24226 = 23 (Profile 2)

# Forced Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24059 = 1 (Profile 1)
# P24259 = 1 (Profile 2)

# Forced Codec.
# Number
# Mandatory
# P24000 = 02 (Profile 1)
# P24200 = 02 (Profile 2)

# PCMU Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24076 = 1 (Profile 1)
# P24276 = 1 (Profile 2)

# PCMU Codec.
# Number
# Mandatory
# P24027 = 7110 (Profile 1)
# P24227 = 7110 (Profile 2)

# PCMA Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24077 = 1 (Profile 1)
# P24277 = 1 (Profile 2)

# PCMA Codec.
# Number
# Mandatory
# P24028 = 7111 (Profile 1)
# P24228 = 7111 (Profile 2)

# G723 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24078 = 1 (Profile 1)
# P24278 = 1 (Profile 2)

# G723 Codec.
# Number
# Mandatory
# P24029 = 723 (Profile 1)
# P24229 = 723 (Profile 2)

# G729 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24079 = 1 (Profile 1)
# P24279 = 1 (Profile 2)

# G729 Codec.
# Number
# Mandatory
# P24030 = 729 (Profile 1)
# P24230 = 729 (Profile 2)

# iLBC Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24084 = 1 (Profile 1)
# P24284 = 1 (Profile 2)

# iLBC Codec.
# Number
# Mandatory
# P24035 = 7201 (Profile 1)
# P24235 = 7201 (Profile 2)

# G722 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24085 = 1 (Profile 1)
# P24285 = 1 (Profile 2)

# G722 Codec.
# Number
# Mandatory
# P24036 = 722 (Profile 1)
# P24236 = 722 (Profile 2)

# SIP User-Agent.
# String
# P29071= (Profile 1)
# P29171= (Profile 2)

# Disable Reminder Ring for DND. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory 
# P29072=0 (Profile 1)
# P29172=0 (Profile 2)

# CDR File Option. 0 - Keep, 1 - Override
# Number: 0, 1
# Mandatory 
# P8534=0

# SIP File Option. 0 - Keep, 1 - Override
# Number: 0, 1
# Mandatory 
# P8535=0

# Disable Week TLS Cipher Suites 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory 
# P8536=0

# Pulse Dialing Standard. 0 - General Standard, 1 - Swedish Standard
# Number: 0, 1
# Mandatory 
# P28165=0 (Profile 1)
# P28166=0 (Profile 2)

# Callee Flash to 3WC. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P28169 = 0 (Profile 1)
# P28170 = 0 (Profile 2)

# RFC2833 Events Count.
# Number: 2-10
# Mandatory
# P28173 = 8 (Profile 1)
# P28174 = 8 (Profile 2)

# RFC2833 End Events Count.
# Number: 2-10
# Mandatory
# P28177 = 3 (Profile 1)
# P28178 = 3 (Profile 2)

# Replace Begining '+' with 00 in Caller ID. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P29073 = 0 (Profile 1)
# P29173 = 0 (Profile 2)


#########################################################################################
## Configuration template for HT81x firmware version 1.0.11.6                         ##
#########################################################################################

####################################################################
## Change Log                                                     ##
####################################################################

###################################
# P values added since 1.0.10.6  ##
###################################

# Virtual Network Interface.
# Network Setting For Management Interface
#
# Enable Management Interface. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P28161 = 0

# Management Access. 0- Management Interface Only, 1 - Both Services and Management Interfaces
# Number： 0， 1
# Mandatory
# P28162 = 0

# Voice VLAN Type. 0 - dynamically assigned via DHCP, 1 - statically configured as
# Number: 0, 1
# Mandatory = 0
# P22105 = 0

# Static IP Settings
#
# IP Address.
# ipaddress
# P22106 = 192.168.100.100

# Subnet Mask. 
# ipaddress
# P22107 = 255.255.255.0

# Default Router.
# ipaddress
# P22108 = 192.168.100.1

# DNS Server 1
# ipaddress
# P22109 = 0.0.0.0

# DNS Server 2
# ipaddress
# P22110 = 0.0.0.0

# Management Interface IPv4 Address:802.1Q/VLAN Tag
# Number: 0-4094
# P22111 = 0

# Management Interface IPv4 Address: 802.1p priority value
# Number: 0-7
# P22112 = 0

# Idle Call Setup Action 1. 0 - Continue, 1 - Busy Tone, 2 - Howler Tone, 3 - CPC (disconnect), 4 - Reorder Tone, 5 - Silence, 6 - Stop Sequence.
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
# P28000 = 0 (Profile1)
# P28001 = 0 (Profile2)

# Duration of Idle Call Setup Action 1. Default is 60 seconds.
# Number:  1 - 3600. In seconds.
# Mandatory
# P28004 = 60 (Profile1)
# P28005 = 60 (Profile2)

# Idle Call Setup Action 2. 0 - Continue, 1 - Busy Tone, 2 - Howler Tone, 3 - CPC (disconnect), 4 - Reorder Tone, 5 - Silence, 6 - Stop Sequence.
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
# P28016 = 2 (Profile1)
# P28017 = 2 (Profile2)

# Duration of Idle Call Setup Action 2. Default is 30 seconds.
# Number:  1 - 3600. In seconds.
# Mandatory
# P28020 = 30 (Profile1)
# P28021 = 30 (Profile2)

# Idle Call Setup Action 3. 0 - Continue, 1 - Busy Tone, 2 - Howler Tone, 3 - CPC (disconnect), 4 - Reorder Tone, 5 - Silence, 6 - Stop Sequence.
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
# P28032 = 6 (Profile1)
# P28033 = 6 (Profile2)

# Duration of Idle Call Setup Action 3. Default is 1 seconds.
# Number:  1 - 3600. In seconds.
# Mandatory
# P28036 = 1 (Profile1)
# P28037 = 1 (Profile2)

# SSH Idle Timeout. Default is 0.
# Number: 0 - 86400. In seconds.
# Mandatory
# P28163 = 0

# Telnet Idle Timeout. Default is 0.
# Number: 0 - 86400. In seconds.
# Mandatory
# P28164 = 0

# Use ARP to detect network connectivity. 0 - NO, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P8512 = 1


###################################
# P values added since 1.0.9.3   ##
###################################

# Inband DTMF Duration. duration and inter-duration
# Number: 40 - 200 milliseconds
# Mandatory
# P28134 = 100 (Profile1)
# P28135 = 100 (Profile2)
# P28138 = 50 (Profile1)
# P28139 = 50 (Profile2)

# RFC2543 Hold. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P26062 = 1 (Profile1)
# P26162 = 1 (Profile2)

# Visual MWI Type. 1 - FSK, 2 - NEON. Default is 1.
# Number: 1, 2
# Mandatory
# P4371 = 1 (Profile1)
# P4372 = 1 (Profile2)

# Disable Unknown Caller ID. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P28153 = 0 (Profile1)
# P28154 = 0 (Profile2)

# Disable # as Redial Key. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P28147 = 0 (Profile1)
# P28148 = 0 (Profile2)

# Ring Frequency. 20 - 20Hz default, 25 - 25Hz. Default is 20.
# Number: 20, 25
# Mandatory
# P4429 = 20 (Profile1)
# P4430 = 20 (Profile2)

# Allow SIP Factory Reset. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P26015 = 0 (Profile1)
# P26115 = 0 (Profile2)

###################################
# P values added since 1.0.8.7   ##
###################################

# Custom Certificate. (Private Key + Certificate)
# String
# P8472 = 

# Conference Party Hangup Tone
# String
# P28133 = f1=425@-15,c=600/600;

# Use P-Access-Network-Info Header. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P26058 = 1
# P26158 = 1

# Use P-Emergency-Info Header. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P26059 = 1
# P26159 = 1

###################################
# P values added since 1.0.5.11   ##
###################################

# Validate Server Certificates. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P8463 = 0

# Enable DDNS. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P28121 = 0

# DDNS Server. 0 - dyndns.org, 1 - freedns.afraid.org, 2 - zoneedit.com, 3 - no-ip.com, 4 - oray.net. 
# Number: 0, 1, 2, 3, 4
# Mandatory
# P28122 = 0

# DDNS Username
# String
# P28123 = 

# DDNS Password
# String
# P28124 = 

# DDNS Hostname
# String
# P28125 = 

# DDNS Hash
# String
# P28126 = 

# Blacklist For Incoming Calls. Allow users to block incoming calls from specific list of numbers.Max allowed SIP numbers: 10, separated by a comma (',') 
# String: 0-9, *, #, +, comma (','), a-z, A-Z
# P28127 =

# Disable Telnet. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P28120 = 1

# Telnet Port. Default Telnet port is 23. This should be different from SSH port. 
# String Max Length: 5
# Mandatory
# P28128 = 23

# Play busy/reorder tone before Loop Current Disconnect. 0 - No, 1 - Yes. Default is 0. 
# Number: 0, 1
# Mandatory
# P21925 = 0 (Profile1)
# P21926 = 0 (Profile2)


###################################
# P values added since 1.0.5.7   ##
###################################

# New Viewer Password. Default is viewer.
# Max Character Number: 30
# P28113 = 

# Web Session Timeout. In 1 to 60 minutes range. Default value is 10
# Number: 1 to 60
# Mandatory
# P28116 = 10

# Web Access Attempt Limit. Default value is 5
# Number: 1 to 10
# Mandatory
# P28117 = 5

# Web Lockout Duration. In 0 to 60 minutes range. Default value is 15
# Number: 0 to 60
# Mandatory
# P1683 = 15

# Black List for WAN Side Port
# Number: 0 to 65535
# P28115 = 

# Randomized Automatic Upgrade. 0 - No, 1 - Yes, default is 0.
# Number: 0, 1
# Mandatory
# P8458 = 0 

# Automatic Upgrade End Hour. In 0 to 23 hour range. Default is 22.
# Number: 0 to 23
# Mandatory
# P8459 = 22

# SNMP Version. 1 - Version 1, 2 - Version 2c, 3 - Version 3. Default value is 3.
# Nmuber: 1, 2, 3
# Mandatory
# P21904 = 3

# SNMP Port. Default is port 162
# Number: 162 or 1025 to 65535
# Mandatory
# P21903 = 162

# SNMPv1/v2c Community
# Max Character Number: 64
# P21902 =

# SNMPv3 User Name
# Max Character Number: 64
# P21905 = 

# SNMPv3 Security Level. 0 - noAuthUser, 1 - authUser, 2 - privUser. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21910 = 0 

# SNMPv3 Authentication Protocol. 0 - None, 1- MD5, 2- SHA. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21906 = 0

# SNMP Privacy Protocol. 0 - None, 1 - DES, 2 - AES | AES128. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21907 = 0

# SNMPv3 Authentication Key. 
# P21908 =

# SNMPv3 Privacy Key
# P21909 =

# SNMPv3 Trap User Name
# Max Character Nmuber: 64
# P21911 = 

# SNMPv3 Trap Security Level. 0 - noAuthUser, 1 - authUser, 2 - privUser. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21916 = 0 

# SNMPv3 Trap Authentication Protocol. 0 - None, 1- MD5, 2- SHA. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21912 = 0

# SNMP Trap Privacy Protocol. 0 - None, 1 - DES, 2 - AES | AES128. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21913 = 0

# SNMPv3 Trap Authentication Key. 
# P21914 =

# SNMPv3 Trap Privacy Key
# P21915 =

# Enable RAIUS Web Access Control. 0 - No, 1 - Yes. Default value is 0.
# Nmuber: 0, 1
# Mandatory
# P28107 = 0

# Action up Radius Auth Server Error. 0 - Reject Access, 1 - Authenticate Locally. Default value is 1.
# Number: 0, 1
# Mandatory
# P28114 = 1

# RADIUS Auth Server Address
# ipaddress
# P28108 = 

# RADIUS Auth Server Port
# Max Character Number = 64
# P28109 =

# RADIUS Shared Secret
# Max Character Number = 64
# P28110 =

# RADIUS VSA Vendor ID
# Max Character Number: 64
# P28111 = 

# RADIUS VSA Access Level Attribute
# Max Character Number: 64
# P28112 = 

#Automatic Reboot. 0 - No, 1 - Yes, reboot every day, 2 - Yes, reboot every week, 3 - Yes, reboot every month
#Number: 0,1,2,3
#Mandatory
#P21929=0

#Hour of the Day(0-23) Defines the hour of the day to reboot the device. Will valid after configured Automatic Reboot to yes.
#Number: 0-23
#Mandatory
#P21930=1

#Day of the Week (0-6) Defines the day of the week to reboot the device.
#Number: 0-6
#Mandatory
#P21931=1

#Day of the Month (0-30) Defines the day of the month to reboot the device.
#Number: 0-30
#Mandatory
#P28118=1

###################################
# P values added since 1.0.5.5   ##
###################################

# DHCP Option 17 Enterprise Number
# Max Character Number : 5
# Mandatory
# P8457 = 3561

# Caller ID Fetch Order. 0 - Auto, 1 - Disable, 2 - From Header. Defaut is 0.
# Number: 0, 1, 2
# Mandatory
# P2324 = 0 (Profile1)
# P2424 = 0 (Profile2)

# Enable High Ring Power. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P4234 = 0 (Profile1)
# P4235 = 0 (Profile2) 

# Enable Pulse Dialing. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P20521 = 0 (Profile1)
# P20522 = 0 (Profile2) 

###################################
# P values added since 1.0.3.7   ##
###################################

# Internet Protocol. 0 - Both, prefer IPv4, 1 - Both, prefer IPv6, 2 - IPv4 Only, 3 - IPv6 Only. Default is IPv4 Only
# Number: 0, 1, 2, 3
# Mandatory
#P1415 = 2

# IPv6 Address type. 0 - dynamically assigned via DHCP, 1 - statically Configured. Default is 0.
# Number: 0, 1
# Mandatory
#P1419 = 0

# IPv6 Address type: Statically configured. 0 - Full Static, 1 - Prefix Static
# Number: 0, 1
# Mandatory
#P1426 = 0

# Full Static: Static IPv6 Address
# P1420 =

# Full Static: IPv6 Prefix Length for Full Static Mode
# P1421 =

# Prefix Static: IPv6 Prefix(64bits)
# Max Character Number : 40
# P1422 = 

# DNS Server 1 for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
# P1424 =

# DNS Server 2 for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
# P1425 =

# Preferred DNS Server for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
# P1423 =

###################################
# P values added since 1.0.3.2   ##
###################################

# Use Actual Ephemeral Port in Contact with TCP/TLS. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
#P2331=0    (Profile1)
#P2431=0    (Profile2)

# SIP URI Scheme When Using TLS. 0 - sip, 1 - sips. Default is 1
# Number: 0, 1
# Mandatory
#P2329=1 (Profile1)
#P2429=1 (Profile2)

# Backup Outbound Proxy
# Server address
#P2333 = (Profile1)
#P2433 = (Profile2)

# Prefer Primary Outbound Proxy. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
#P28096 = 0 (Profile1)
#P28097 = 0 (Profile2)

# Enable RTCP. Configure if enables RTCP statistics and control information. 0 - No, 1 - Yes, default is Yes
# Number: 0, 1
# Mandatory
#P2392 = 1 (Profile1)
#P2492 = 1 (Profile2)

# Hold Target Before Refer.  0 - No, 1 - Yes. Default is Yes
# Number: 0, 1
# Mandatory
#P26003 = 1 (Profile1)
#P26103 = 1 (Profile2)

# Enable Session Timer.  0 - No, 1 - Yes. Default is Yes
# Number: 0, 1
# Mandatory
#P2395 = 1 (Profile1)
#P2495 = 1 (Profile2)

# Conference URI 
# String Max Length: 1024
#P2318 =     (Profile1)
#P2418 =     (Profile2)

# Whte List for WAN Side. Only the IP address in white list can access Web and SSH.
# String ipaddress
#P20701 =

# Black List for WAN Side. The IP address in black list can not access Web or SSH.
# String ipaddress
#P20702 = 

# Web Access Mode. 0 - HTTPS, 1 - HTTP.
# Number: 0, 1
# Mandatory
#P1650 = 1

# HTTPS Web Port. Defaut HTTPS port is 443
# String Max Length: 5
# Mandatory
#P27010 = 443

# SSH Port. Default SSH port is 22.
# String Max Length: 5
# Mandatory
#P27006 = 22

# Enable SNMP. 0 - No, 1 - Yes. Default is No.
# Number: 0, 1
# Mandatory
#P21896 = 0

# SNMP Trap IP Address
# String Max Length: 64
#P21897 = 

# SNMP Trap Port. Default value is 162.
# String Max Length: 5
# Mandatory
#P21898 = 162

# SNMP Trap Interval. Default is 5.
# String Max Length: 4
# Mandatory
#P21901 = 5

# SNMP Trap Community
# String Max Length: 64
#P21900 = 

# SNMP Trap Version. 1 - Version 1, 2 - Version 2c, default is Version 2c.
# Number: 1, 2
#P21899 = 2


###################################
# P values added since 1.0.2.7   ##       
###################################

# DNS SRV use Registered IP. When enabled, outbound call when registered to Second SRV will use registered IP first instead of first SRV record. 0 - No, 1 - Yes, default is 0 - No.
# Number: 0, 1
# Mandatory
#P28092=0	(Profile1)
#P28093=0	(Profile2)

###################################
# P values added since 1.0.2.5   ##       
###################################
# None

#############################################
## Initial Version Firmware HT814 1.0.2.5  ## 
#############################################
##Change this document name from HT812_config to HT81x_config.

###################################
# P values added since 1.0.2.3   ##       
###################################

# Disable Connected Line ID. 0=Disabled, 1=Enabled. (If yes, Connected Line ID will not be displayed even received.)
# Number: 0, 1
# Mandatory
#P20525=0	(Profile1)
#P20526=0	(Profile2)

############################################
##  FXS Ports 3 and FXS Port 4 for HT814  ##
############################################
# FXS Port 3
# SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2)
# Hunting Group (0 - None, 1 - Active, 2 - 2, 3 - 3, 4 - 4)
# Enable Port(0 - No, 1 - Yes, default is Yes)
# Offhook Auto-dial(Set the destination for auto-dial after offhook)
# String Max Length: 64
#P4062 =

# String Max Length: 64  
#P4092 =

# String Max Length: 64 
# Mandatory 
#P4122 = 

# String Max Length: 64  
#P4182 =

# Number: 0 to 1
# Mandatory 
#P4152 =

# Number: 0 to 2
# Mandatory
#P4302 =

# String Max Length: 64 
#P4669 =

# Number: 0,1
#P4597 = 1

# String Max Length: 64 
#P4212 =

# FXS Port 4
# SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2)
# Hunting Group (0 - None, 1 - Active, 2 - 2, 3 - 3, 4 - 4)
# Enable Port(0 - No, 1 - Yes, default is Yes)
# Offhook Auto-dial(Set the destination for auto-dial after offhook)
# String Max Length: 64
#P4063 =

# String Max Length: 64  
#P4093 =

# String Max Length: 64 
# Mandatory 
#P4123 = 

# String Max Length: 64  
#P4183 =

# Number: 0 to 1
# Mandatory 
#P4153 =

# Number: 0 to 2
# Mandatory
#P4303 =

# Number: 0,1
#P4598 = 1

# String Max Length: 64 
#P4213 =

###################################
# P values added since 1.0.0.6   ##       
###################################

# Enable TR-069. 0 - No, 1 - Yes (default is Yes)
# Number: 0, 1
# Mandatory
#P1409=1

# (removed)Hunting Group Ring Timeout. (5-300, default is 20 seconds)
# Number: 5 to 300
# Mandatory 
#P4330=20 (Profile1)
#P4331=20 (Profile2)

# (removed)Hunting Group Type. 0 - Circular, 1 - Linear
# Number: 0,1
# Mandatory
#P4395=0 (Profile1)
#P4396=0 (Profile2)

# WAN side HTTP/Telnet access. 0 - No, 1 - Yes , 2 - Auto (WAN side access will be rejected if set to No)
# Default is 2 - Auto. When set to Auto, if the device is using public IP address, WAN side HTTP/Telnet access will be disabled; 
# if the device is using private IP address, it will be enabled.
# Number: 0,1,2 
# Mandatory 
#P190=0

# Preferred Vocoder
# Choice 7. 
# Number: 0, 2, 4, 8, 18, 98, 125
# Mandatory
#P46=125  (Profile1)
#P814=125 (Profile2)

####################################################################
## Change Log End                                                 ##
####################################################################
